<?xml version='1.0' encoding='UTF-8' standalone='yes' ?>
<tagfile>
  <compound kind="class">
    <name>IMAP4Protocol</name>
    <filename>classIMAP4Protocol.html</filename>
    <base>mimeIO</base>
    <member kind="function">
      <type></type>
      <name>IMAP4Protocol</name>
      <anchorfile>classIMAP4Protocol.html</anchorfile>
      <anchor>a313f2c5740f61234d9854d1ff7ad90a4</anchor>
      <arglist>(const TQCString &amp;pool, const TQCString &amp;app, bool isSSL)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>openConnection</name>
      <anchorfile>classIMAP4Protocol.html</anchorfile>
      <anchor>a7d061de390149f60416508eb10e9255c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>closeConnection</name>
      <anchorfile>classIMAP4Protocol.html</anchorfile>
      <anchor>a19a3c7ea10c9cebcff793f35abd929b3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setHost</name>
      <anchorfile>classIMAP4Protocol.html</anchorfile>
      <anchor>aab52b56c8d9aeb928514bf0368432817</anchor>
      <arglist>(const TQString &amp;_host, int _port, const TQString &amp;_user, const TQString &amp;_pass)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>get</name>
      <anchorfile>classIMAP4Protocol.html</anchorfile>
      <anchor>a9fd710c6483a804b65c57ecfac0eeeab</anchor>
      <arglist>(const KURL &amp;_url)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>stat</name>
      <anchorfile>classIMAP4Protocol.html</anchorfile>
      <anchor>a7c7fec114f2ecb4d898aad79c29833c5</anchor>
      <arglist>(const KURL &amp;_url)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>slave_status</name>
      <anchorfile>classIMAP4Protocol.html</anchorfile>
      <anchor>a486dc50bb562ce46b2f4796beeedbee1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>del</name>
      <anchorfile>classIMAP4Protocol.html</anchorfile>
      <anchor>a0cd9c8e8bdc5b4d20fc1780703fa9647</anchor>
      <arglist>(const KURL &amp;_url, bool isFile)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>special</name>
      <anchorfile>classIMAP4Protocol.html</anchorfile>
      <anchor>a1ad0df1be242636114dc7efa0aca9d2b</anchor>
      <arglist>(const TQByteArray &amp;data)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>listDir</name>
      <anchorfile>classIMAP4Protocol.html</anchorfile>
      <anchor>a21b5f6b9b4103f232ee925a481813903</anchor>
      <arglist>(const KURL &amp;_url)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setSubURL</name>
      <anchorfile>classIMAP4Protocol.html</anchorfile>
      <anchor>ac73de82fb6442bedfc57f286e8f46bf7</anchor>
      <arglist>(const KURL &amp;_url)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>dispatch</name>
      <anchorfile>classIMAP4Protocol.html</anchorfile>
      <anchor>aa9d79dbbb42bc231a6f16bbe5d463a5c</anchor>
      <arglist>(int command, const TQByteArray &amp;data)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>mkdir</name>
      <anchorfile>classIMAP4Protocol.html</anchorfile>
      <anchor>a3b99ecb7c62fe970136c9712d458f5a2</anchor>
      <arglist>(const KURL &amp;url, int permissions)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>put</name>
      <anchorfile>classIMAP4Protocol.html</anchorfile>
      <anchor>a65f3c63226edaa6a5ebbcf5e8a0e1904</anchor>
      <arglist>(const KURL &amp;url, int permissions, bool overwrite, bool resume)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>rename</name>
      <anchorfile>classIMAP4Protocol.html</anchorfile>
      <anchor>a1f40551d8399d536337dd91f54713586</anchor>
      <arglist>(const KURL &amp;src, const KURL &amp;dest, bool overwrite)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>copy</name>
      <anchorfile>classIMAP4Protocol.html</anchorfile>
      <anchor>a37b50e18540ef9cfd82ce3142ad29c30</anchor>
      <arglist>(const KURL &amp;src, const KURL &amp;dest, int permissions, bool overwrite)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>parseRelay</name>
      <anchorfile>classIMAP4Protocol.html</anchorfile>
      <anchor>a1092788ecb41f3d2badf9e89b6269ab2</anchor>
      <arglist>(const TQByteArray &amp;buffer)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>parseRelay</name>
      <anchorfile>classIMAP4Protocol.html</anchorfile>
      <anchor>adf8b0019e72de277ad1f3250dcca2f3d</anchor>
      <arglist>(ulong)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>parseRead</name>
      <anchorfile>classIMAP4Protocol.html</anchorfile>
      <anchor>afca4986360a5db2319a8b68560524420</anchor>
      <arglist>(TQByteArray &amp;buffer, ulong len, ulong relay=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>parseReadLine</name>
      <anchorfile>classIMAP4Protocol.html</anchorfile>
      <anchor>a89ce35c42560c9b76551f69b46c8b2fe</anchor>
      <arglist>(TQByteArray &amp;buffer, ulong relay=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>parseWriteLine</name>
      <anchorfile>classIMAP4Protocol.html</anchorfile>
      <anchor>a8d7906b94a91e535299af42057b2cad1</anchor>
      <arglist>(const TQString &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>outputLine</name>
      <anchorfile>classIMAP4Protocol.html</anchorfile>
      <anchor>aa11c3124f5b3075fb482134aeba271f8</anchor>
      <arglist>(const TQCString &amp;_str, int len=-1)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>flushOutput</name>
      <anchorfile>classIMAP4Protocol.html</anchorfile>
      <anchor>aecf12d779aa6be7c4841b327e4fbb3ef</anchor>
      <arglist>(TQString contentEncoding=TQString())</arglist>
    </member>
    <member kind="function">
      <type>enum IMAP_STATE</type>
      <name>getState</name>
      <anchorfile>classimapParser.html</anchorfile>
      <anchor>a0d3347ff78e51d413c0f9bac491c6543</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setState</name>
      <anchorfile>classimapParser.html</anchorfile>
      <anchor>a8b3b1ccb8f41db57f2fae140d840ae8b</anchor>
      <arglist>(enum IMAP_STATE state)</arglist>
    </member>
    <member kind="function">
      <type>const TQString</type>
      <name>getCurrentBox</name>
      <anchorfile>classimapParser.html</anchorfile>
      <anchor>a8dfa29508e7c50f09571acc51c8aa92d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>imapCommand *</type>
      <name>sendCommand</name>
      <anchorfile>classimapParser.html</anchorfile>
      <anchor>af92e17793f471952b98de7fff4c2ac0c</anchor>
      <arglist>(imapCommand *aCmd)</arglist>
    </member>
    <member kind="function">
      <type>imapCommand *</type>
      <name>doCommand</name>
      <anchorfile>classimapParser.html</anchorfile>
      <anchor>ab4fcb95311353fb30018495ebecbede5</anchor>
      <arglist>(imapCommand *aCmd)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>clientLogin</name>
      <anchorfile>classimapParser.html</anchorfile>
      <anchor>a4b5778bed5c34ea55762a3c57f71b1ce</anchor>
      <arglist>(const TQString &amp;aUser, const TQString &amp;aPass, TQString &amp;resultInfo)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>clientAuthenticate</name>
      <anchorfile>classimapParser.html</anchorfile>
      <anchor>a5bed0120e6bc52c5ed9d08854e9ab549</anchor>
      <arglist>(TDEIO::SlaveBase *slave, TDEIO::AuthInfo &amp;ai, const TQString &amp;aFTQDN, const TQString &amp;aAuth, bool isSSL, TQString &amp;resultInfo)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>parseLoop</name>
      <anchorfile>classimapParser.html</anchorfile>
      <anchor>ace7a46d3a267bcf0fcdeac54771acb13</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>parseUntagged</name>
      <anchorfile>classimapParser.html</anchorfile>
      <anchor>a97437998e4282f645a94c63ce5719f59</anchor>
      <arglist>(parseString &amp;result)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>parseRecent</name>
      <anchorfile>classimapParser.html</anchorfile>
      <anchor>a42e9933fd9fb821251e8604f5518ee42</anchor>
      <arglist>(ulong value, parseString &amp;result)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>parseResult</name>
      <anchorfile>classimapParser.html</anchorfile>
      <anchor>a6ddec6277687ece8712a7120e843bd71</anchor>
      <arglist>(TQByteArray &amp;result, parseString &amp;rest, const TQString &amp;command=TQString())</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>parseCapability</name>
      <anchorfile>classimapParser.html</anchorfile>
      <anchor>aaf9436c359be6fd8559cd355dd8f9187</anchor>
      <arglist>(parseString &amp;result)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>parseFlags</name>
      <anchorfile>classimapParser.html</anchorfile>
      <anchor>a84616eaef3c88ffd6f7d6cca3ee37087</anchor>
      <arglist>(parseString &amp;result)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>parseList</name>
      <anchorfile>classimapParser.html</anchorfile>
      <anchor>a9fc62d92a23a26171608fbf3b409a4fd</anchor>
      <arglist>(parseString &amp;result)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>parseLsub</name>
      <anchorfile>classimapParser.html</anchorfile>
      <anchor>a9b38091d45fc248d3eb100049c9e8a04</anchor>
      <arglist>(parseString &amp;result)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>parseListRights</name>
      <anchorfile>classimapParser.html</anchorfile>
      <anchor>aec23c4433f98e6e7b26cc1606d4329a1</anchor>
      <arglist>(parseString &amp;result)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>parseMyRights</name>
      <anchorfile>classimapParser.html</anchorfile>
      <anchor>ac7866faba3c1bd64a7105e7376dc4770</anchor>
      <arglist>(parseString &amp;result)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>parseSearch</name>
      <anchorfile>classimapParser.html</anchorfile>
      <anchor>a07b9f28b3d4e0163205c5e0815cf94f5</anchor>
      <arglist>(parseString &amp;result)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>parsetStatus</name>
      <anchorfile>classimapParser.html</anchorfile>
      <anchor>a58c48afe425eae97bb1097a785dae832</anchor>
      <arglist>(parseString &amp;result)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>parseExists</name>
      <anchorfile>classimapParser.html</anchorfile>
      <anchor>a934f4fa88f4eca5e0127d8708c84b531</anchor>
      <arglist>(ulong value, parseString &amp;result)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>parseExpunge</name>
      <anchorfile>classimapParser.html</anchorfile>
      <anchor>a0a37d01ff055759de04d834569d7b69f</anchor>
      <arglist>(ulong value, parseString &amp;result)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>parseAcl</name>
      <anchorfile>classimapParser.html</anchorfile>
      <anchor>a3d63ddc06ee6aa8fb4316fd0163dadfb</anchor>
      <arglist>(parseString &amp;result)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>parseAnnotation</name>
      <anchorfile>classimapParser.html</anchorfile>
      <anchor>a95b6ca25541ed9b247f15723ade4b5be</anchor>
      <arglist>(parseString &amp;result)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>parseNamespace</name>
      <anchorfile>classimapParser.html</anchorfile>
      <anchor>a04fae846e346206b070621fbb51c88ce</anchor>
      <arglist>(parseString &amp;result)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>parseQuotaRoot</name>
      <anchorfile>classimapParser.html</anchorfile>
      <anchor>a9966ac97cf92e4395bb585ea39cb5d23</anchor>
      <arglist>(parseString &amp;result)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>parseQuota</name>
      <anchorfile>classimapParser.html</anchorfile>
      <anchor>a0f025c3e4337dcfdf73a8bf40329cef8</anchor>
      <arglist>(parseString &amp;result)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>parseCustom</name>
      <anchorfile>classimapParser.html</anchorfile>
      <anchor>af51bf1107e8afc437d0ce66fd7dcb620</anchor>
      <arglist>(parseString &amp;result)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>parseOtherUser</name>
      <anchorfile>classimapParser.html</anchorfile>
      <anchor>a4bcc32bbb549e22175e4d03fad06dd45</anchor>
      <arglist>(parseString &amp;result)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>parseDelegate</name>
      <anchorfile>classimapParser.html</anchorfile>
      <anchor>a5619a3bd0566f2bfbb6816f940ae365c</anchor>
      <arglist>(parseString &amp;result)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>parseOutOfOffice</name>
      <anchorfile>classimapParser.html</anchorfile>
      <anchor>a35ca6fd901c0ea1c069838e4d567fe3d</anchor>
      <arglist>(parseString &amp;result)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>parseFetch</name>
      <anchorfile>classimapParser.html</anchorfile>
      <anchor>a34e29fdea35ca92f919a4f93c85afaa2</anchor>
      <arglist>(ulong value, parseString &amp;inWords)</arglist>
    </member>
    <member kind="function">
      <type>mailHeader *</type>
      <name>parseEnvelope</name>
      <anchorfile>classimapParser.html</anchorfile>
      <anchor>ad9c366fb1846531aefcbf73b34db4b1c</anchor>
      <arglist>(parseString &amp;inWords)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>parseAddressList</name>
      <anchorfile>classimapParser.html</anchorfile>
      <anchor>a704aae491dda342eeefbbc757348d4bc</anchor>
      <arglist>(parseString &amp;inWords, TQPtrList&lt; mailAddress &gt; &amp;list)</arglist>
    </member>
    <member kind="function">
      <type>const mailAddress &amp;</type>
      <name>parseAddress</name>
      <anchorfile>classimapParser.html</anchorfile>
      <anchor>a629c294e565ed6b68eface5ae7de5eb7</anchor>
      <arglist>(parseString &amp;inWords, mailAddress &amp;buffer)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>parseBody</name>
      <anchorfile>classimapParser.html</anchorfile>
      <anchor>aaaa7244296ded5e71d06e5c1a98462c2</anchor>
      <arglist>(parseString &amp;inWords)</arglist>
    </member>
    <member kind="function">
      <type>mimeHeader *</type>
      <name>parseBodyStructure</name>
      <anchorfile>classimapParser.html</anchorfile>
      <anchor>a7edcee6aab8f2e3db45d6cc2a593fb65</anchor>
      <arglist>(parseString &amp;inWords, TQString &amp;section, mimeHeader *inHeader=0)</arglist>
    </member>
    <member kind="function">
      <type>mimeHeader *</type>
      <name>parseSimplePart</name>
      <anchorfile>classimapParser.html</anchorfile>
      <anchor>a2d1f36583b94dc9a9e5e626714ee5fd5</anchor>
      <arglist>(parseString &amp;inWords, TQString &amp;section, mimeHeader *localPart=0)</arglist>
    </member>
    <member kind="function">
      <type>TQAsciiDict&lt; TQString &gt;</type>
      <name>parseParameters</name>
      <anchorfile>classimapParser.html</anchorfile>
      <anchor>a6d8ca798a240df16b39a1225e91905cf</anchor>
      <arglist>(parseString &amp;inWords)</arglist>
    </member>
    <member kind="function">
      <type>TQAsciiDict&lt; TQString &gt;</type>
      <name>parseDisposition</name>
      <anchorfile>classimapParser.html</anchorfile>
      <anchor>a8747154e3380acb7301b7749432b3b64</anchor>
      <arglist>(parseString &amp;inWords)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>parseRelay</name>
      <anchorfile>classimapParser.html</anchorfile>
      <anchor>afc20ea92e56d2b8b77da577a1421a5fc</anchor>
      <arglist>(const TQByteArray &amp;buffer)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>parseRelay</name>
      <anchorfile>classimapParser.html</anchorfile>
      <anchor>a1f69700c2cb3b9821cba647577a045b6</anchor>
      <arglist>(ulong)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>parseRead</name>
      <anchorfile>classimapParser.html</anchorfile>
      <anchor>a010c8e4e3283665d9ba83bdf857b9c40</anchor>
      <arglist>(TQByteArray &amp;buffer, ulong len, ulong relay=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>parseReadLine</name>
      <anchorfile>classimapParser.html</anchorfile>
      <anchor>a89d0324a3cc80e510acf9dd5c23b86c0</anchor>
      <arglist>(TQByteArray &amp;buffer, ulong relay=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>parseWriteLine</name>
      <anchorfile>classimapParser.html</anchorfile>
      <anchor>a95f7ecd5a887d616c7fd7dac4037b3e6</anchor>
      <arglist>(const TQString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>parseSentence</name>
      <anchorfile>classimapParser.html</anchorfile>
      <anchor>a4ada912dacc5a6b3770f927aa6ffec08</anchor>
      <arglist>(parseString &amp;inWords)</arglist>
    </member>
    <member kind="function">
      <type>TQCString</type>
      <name>parseLiteralC</name>
      <anchorfile>classimapParser.html</anchorfile>
      <anchor>acdbf5353d5d6b99b81b871679feb827b</anchor>
      <arglist>(parseString &amp;inWords, bool relay=false, bool stopAtBracket=false, int *outlen=0)</arglist>
    </member>
    <member kind="function">
      <type>TQByteArray</type>
      <name>parseLiteral</name>
      <anchorfile>classimapParser.html</anchorfile>
      <anchor>a51c06836c2563e65a73428ce77561f58</anchor>
      <arglist>(parseString &amp;inWords, bool relay=false, bool stopAtBracket=false)</arglist>
    </member>
    <member kind="function">
      <type>imapCache *</type>
      <name>getLastHandled</name>
      <anchorfile>classimapParser.html</anchorfile>
      <anchor>ae7913e70f27a694022b7bd7d26d57a49</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const TQStringList &amp;</type>
      <name>getResults</name>
      <anchorfile>classimapParser.html</anchorfile>
      <anchor>ac5ccf485c5d0735025721db0885e909b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const imapInfo &amp;</type>
      <name>geStatus</name>
      <anchorfile>classimapParser.html</anchorfile>
      <anchor>a4bde4bfed3a998ff8ced481895de8233</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const imapInfo &amp;</type>
      <name>getSelected</name>
      <anchorfile>classimapParser.html</anchorfile>
      <anchor>a2064d6f5f13febaf257c2708408c750a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const TQByteArray &amp;</type>
      <name>getContinuation</name>
      <anchorfile>classimapParser.html</anchorfile>
      <anchor>ab5b16887d0d7b9d1d7258b3788e16da0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hasCapability</name>
      <anchorfile>classimapParser.html</anchorfile>
      <anchor>a257ccc866a1ca643b9013e1f8513ec95</anchor>
      <arglist>(const TQString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeCapability</name>
      <anchorfile>classimapParser.html</anchorfile>
      <anchor>ac8f319d40004a390782310b2f93317e0</anchor>
      <arglist>(const TQString &amp;cap)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>namespaceForBox</name>
      <anchorfile>classimapParser.html</anchorfile>
      <anchor>af01697988c4f860fae62afc56f7392a5</anchor>
      <arglist>(const TQString &amp;box)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>outputMimeLine</name>
      <anchorfile>classmimeIO.html</anchorfile>
      <anchor>ae5c55aace1692c47f73fb818e4220f6e</anchor>
      <arglist>(const TQCString &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>inputLine</name>
      <anchorfile>classmimeIO.html</anchorfile>
      <anchor>a8a6d4fb1b5fb1784ca286b54e0ee34f3</anchor>
      <arglist>(TQCString &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>outputChar</name>
      <anchorfile>classmimeIO.html</anchorfile>
      <anchor>a2429b28a49ea727d8d9696b0da24bcd0</anchor>
      <arglist>(char)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>inputChar</name>
      <anchorfile>classmimeIO.html</anchorfile>
      <anchor>affee5fd1a0eb82be5f04b21c6844d178</anchor>
      <arglist>(char &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCRLF</name>
      <anchorfile>classmimeIO.html</anchorfile>
      <anchor>ac16a8caf9e835975a3fbea8b477686be</anchor>
      <arglist>(const char *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>assureBox</name>
      <anchorfile>classIMAP4Protocol.html</anchorfile>
      <anchor>a4b7d6d1df041ae0716bf94d2835b0728</anchor>
      <arglist>(const TQString &amp;aBox, bool readonly)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>ssize_t</type>
      <name>myRead</name>
      <anchorfile>classIMAP4Protocol.html</anchorfile>
      <anchor>a39423323fa73a36fd2ca086951ca7285</anchor>
      <arglist>(void *data, ssize_t len)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>enum IMAP_TYPE</type>
      <name>parseURL</name>
      <anchorfile>classIMAP4Protocol.html</anchorfile>
      <anchor>ace6803681a5e74a22305cf61eedcf4ed</anchor>
      <arglist>(const KURL &amp;_url, TQString &amp;_box, TQString &amp;_section, TQString &amp;_type, TQString &amp;_uid, TQString &amp;_validity, TQString &amp;_hierarchyDelimiter, TQString &amp;_info, bool cache=false)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>TQString</type>
      <name>getMimeType</name>
      <anchorfile>classIMAP4Protocol.html</anchorfile>
      <anchor>a950e02fcaf5db3b00fab2b1ae677a6d9</anchor>
      <arglist>(enum IMAP_TYPE)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>makeLogin</name>
      <anchorfile>classIMAP4Protocol.html</anchorfile>
      <anchor>a857d90e4734feb791db1061f902f3f17</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>outputLineStr</name>
      <anchorfile>classIMAP4Protocol.html</anchorfile>
      <anchor>abd7f2dbe31c4a3c7b2b54b8dca82d365</anchor>
      <arglist>(const TQString &amp;_str)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>doListEntry</name>
      <anchorfile>classIMAP4Protocol.html</anchorfile>
      <anchor>a3b2ac4cf3eea34f0d16b83265106296a</anchor>
      <arglist>(const KURL &amp;_url, int stretch, imapCache *cache=NULL, bool withFlags=FALSE, bool withSubject=FALSE)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>doListEntry</name>
      <anchorfile>classIMAP4Protocol.html</anchorfile>
      <anchor>a600ea90581f41360046170dcc626c4d9</anchor>
      <arglist>(const KURL &amp;url, const TQString &amp;myBox, const imapList &amp;item, bool appendPath=true)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>specialACLCommand</name>
      <anchorfile>classIMAP4Protocol.html</anchorfile>
      <anchor>aa190f50ce4e294da257e4313ea301eed</anchor>
      <arglist>(int command, TQDataStream &amp;stream)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>specialAnnotateMoreCommand</name>
      <anchorfile>classIMAP4Protocol.html</anchorfile>
      <anchor>a528e14b9742a701e6e10c121680eeb62</anchor>
      <arglist>(int command, TQDataStream &amp;stream)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>specialQuotaCommand</name>
      <anchorfile>classIMAP4Protocol.html</anchorfile>
      <anchor>a85c9c8c8bccb3aac65b80034cc182d7f</anchor>
      <arglist>(int command, TQDataStream &amp;stream)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>specialSearchCommand</name>
      <anchorfile>classIMAP4Protocol.html</anchorfile>
      <anchor>a24097b0a63ec439a46dea0c7854a2616</anchor>
      <arglist>(TQDataStream &amp;)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>specialCustomCommand</name>
      <anchorfile>classIMAP4Protocol.html</anchorfile>
      <anchor>a274250ab6fa478927b22aaa513f76f90</anchor>
      <arglist>(TQDataStream &amp;)</arglist>
    </member>
    <member kind="enumvalue">
      <name>ISTATE_NO</name>
      <anchorfile>classimapParser.html</anchorfile>
      <anchor>a28c5b65114a703196cbeaac335360d61ab76717b0dc387abb733f47ac23d21a9b</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>ISTATE_CONNECT</name>
      <anchorfile>classimapParser.html</anchorfile>
      <anchor>a28c5b65114a703196cbeaac335360d61ae7c8b848b9b9fc394f3c326643bd46ed</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>ISTATE_LOGIN</name>
      <anchorfile>classimapParser.html</anchorfile>
      <anchor>a28c5b65114a703196cbeaac335360d61a8f3d5c38e59eec9055ad63b1d1660755</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>ISTATE_SELECT</name>
      <anchorfile>classimapParser.html</anchorfile>
      <anchor>a28c5b65114a703196cbeaac335360d61ad7606838a1a0ee5c12af27c69e3415b0</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TQCString</type>
      <name>b2c</name>
      <anchorfile>classimapParser.html</anchorfile>
      <anchor>a8a33c994c9e0b9e654a653c2abb02e6b</anchor>
      <arglist>(const TQByteArray &amp;ba)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TQCString</type>
      <name>parseOneWordC</name>
      <anchorfile>classimapParser.html</anchorfile>
      <anchor>aa1264bf4a4b9bf44479648593b4b9b14</anchor>
      <arglist>(parseString &amp;inWords, bool stopAtBracket=FALSE, int *len=0)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>parseOneNumber</name>
      <anchorfile>classimapParser.html</anchorfile>
      <anchor>a8f4ac97f64fff909f76d66d02458ae90</anchor>
      <arglist>(parseString &amp;inWords, ulong &amp;num)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>parseURL</name>
      <anchorfile>classimapParser.html</anchorfile>
      <anchor>acea603d8291ba198ca3723ac4c55177d</anchor>
      <arglist>(const KURL &amp;_url, TQString &amp;_box, TQString &amp;_section, TQString &amp;_type, TQString &amp;_uid, TQString &amp;_validity, TQString &amp;_info)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>skipWS</name>
      <anchorfile>classimapParser.html</anchorfile>
      <anchor>a0154a0d0c6d0394dc4b5223b6be38005</anchor>
      <arglist>(parseString &amp;inWords)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>enum IMAP_STATE</type>
      <name>currentState</name>
      <anchorfile>classimapParser.html</anchorfile>
      <anchor>aa65028e4745206765dfffe0916cb157b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>TQString</type>
      <name>currentBox</name>
      <anchorfile>classimapParser.html</anchorfile>
      <anchor>ad1998bc9698303506b53fb6050e61b57</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>imapInfo</type>
      <name>selectInfo</name>
      <anchorfile>classimapParser.html</anchorfile>
      <anchor>a877cbf33557f9ecfa9221f0b38a19ca1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>imapInfo</type>
      <name>lasStatus</name>
      <anchorfile>classimapParser.html</anchorfile>
      <anchor>a3be73d3407101ba07fd5d582b9205479</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>TQStringList</type>
      <name>imapCapabilities</name>
      <anchorfile>classimapParser.html</anchorfile>
      <anchor>aaa47fc8c045fe2fb087a500a2e7a63cb</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>TQValueList&lt; imapList &gt;</type>
      <name>listResponses</name>
      <anchorfile>classimapParser.html</anchorfile>
      <anchor>acacf8fa07091201cb19a98585588507b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>TQPtrList&lt; imapCommand &gt;</type>
      <name>sentQueue</name>
      <anchorfile>classimapParser.html</anchorfile>
      <anchor>a9784fe9faf5c9368d1455eb087598db7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>TQPtrList&lt; imapCommand &gt;</type>
      <name>completeQueue</name>
      <anchorfile>classimapParser.html</anchorfile>
      <anchor>acb6145e1e924d6443a971d1fd6fb7c0d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>TQStringList</type>
      <name>unhandled</name>
      <anchorfile>classimapParser.html</anchorfile>
      <anchor>a1b3ecd2e669a37471e742e9a73549481</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>TQByteArray</type>
      <name>continuation</name>
      <anchorfile>classimapParser.html</anchorfile>
      <anchor>a30bd5393e6e442ca4dd8361d81120521</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>TQString</type>
      <name>seenUid</name>
      <anchorfile>classimapParser.html</anchorfile>
      <anchor>afebc182242c083de38d21ee44473e06b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>imapCache *</type>
      <name>lastHandled</name>
      <anchorfile>classimapParser.html</anchorfile>
      <anchor>a6a55b530268829c6e0b719774ec411e1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>ulong</type>
      <name>commandCounter</name>
      <anchorfile>classimapParser.html</anchorfile>
      <anchor>ac2622521791efc9c468e1d7827ebcfe4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>TQStringList</type>
      <name>lastResults</name>
      <anchorfile>classimapParser.html</anchorfile>
      <anchor>aa23d67094f21e6227aa4617289ecd7df</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>TQMap&lt; TQString, TQString &gt;</type>
      <name>namespaceToDelimiter</name>
      <anchorfile>classimapParser.html</anchorfile>
      <anchor>a108c9bce0dc8472ca0b48d778193141f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>TQStringList</type>
      <name>imapNamespaces</name>
      <anchorfile>classimapParser.html</anchorfile>
      <anchor>ab09a5e4a56deefb69bbe35e0b798baad</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>TQCString</type>
      <name>theCRLF</name>
      <anchorfile>classmimeIO.html</anchorfile>
      <anchor>a8324a19ab8e8fba2d26e36a91d10c764</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>crlfLen</name>
      <anchorfile>classmimeIO.html</anchorfile>
      <anchor>a3c7470342cfc5a90407ffad6b7bd198e</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>imapCommand</name>
    <filename>classimapCommand.html</filename>
    <member kind="function">
      <type></type>
      <name>imapCommand</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>aea22ea31bc67aebf4662ad61a355f51e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>imapCommand</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>a49b53edf25a79c3d516e6e2001d959a4</anchor>
      <arglist>(const TQString &amp;command, const TQString &amp;parameter)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isComplete</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>a723c3d549eac72ce5f1957ce5b5b6c23</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const TQString &amp;</type>
      <name>result</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>ad98b9ff54049400ede5d43a12b7d2a45</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const TQString &amp;</type>
      <name>resultInfo</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>ab2620843984dead17184917937308963</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const TQString &amp;</type>
      <name>parameter</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>a4f5d7afe8e384df9f82fc2f756d5c51a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const TQString &amp;</type>
      <name>command</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>a7836d73051b1687be6531eb23848f425</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const TQString &amp;</type>
      <name>id</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>a0871c0a3aaf6fbd3d6b7ead2a501c569</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setId</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>a965af4c426f408cac2ad03da0ea32c46</anchor>
      <arglist>(const TQString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setComplete</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>a4ec1a18fe96a9a9bb90c1d3efff376e6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setResult</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>ac09af0a50440bcc8d6fbb4a6e75fa44d</anchor>
      <arglist>(const TQString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setResultInfo</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>aa556ff83cbe4db103881cdb1276f8269</anchor>
      <arglist>(const TQString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCommand</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>a5250a061be97ef9d35853a4b86a6315b</anchor>
      <arglist>(const TQString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setParameter</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>a05468085bbd363b380439dafe08c274e</anchor>
      <arglist>(const TQString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>const TQString</type>
      <name>getStr</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>a382099b24ab56282d4ee272ffb7bcd93</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static imapCommand *</type>
      <name>clientNoop</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>a18eac0a9fe90bd530e4360003063e00d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static imapCommand *</type>
      <name>clientFetch</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>a7a2e65b1af0a498334672c0a8800aa3f</anchor>
      <arglist>(ulong uid, const TQString &amp;fields, bool nouid=false)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static imapCommand *</type>
      <name>clientFetch</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>a9eea49ba98a3b53b8483552861f3e251</anchor>
      <arglist>(ulong fromUid, ulong toUid, const TQString &amp;fields, bool nouid=false)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static imapCommand *</type>
      <name>clientFetch</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>a7c8ae565706e47f188ab1dda91cd4978</anchor>
      <arglist>(const TQString &amp;sequence, const TQString &amp;fields, bool nouid=false)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static imapCommand *</type>
      <name>clientList</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>a3bbb5f4a4808cde74c079df88fabe9b0</anchor>
      <arglist>(const TQString &amp;reference, const TQString &amp;path, bool lsub=false)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static imapCommand *</type>
      <name>clientSelect</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>ad8217a0e4a88d97c46712839b0c0bbd1</anchor>
      <arglist>(const TQString &amp;path, bool examine=false)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static imapCommand *</type>
      <name>clientClose</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>ab8ebfebf14090f6e27dbb2a304b20d67</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static imapCommand *</type>
      <name>clienStatus</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>a025f72934a81338d240630432d1b3040</anchor>
      <arglist>(const TQString &amp;path, const TQString &amp;parameters)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static imapCommand *</type>
      <name>clientCopy</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>accf3d2c5bba50df0c8a7432605ef2fd6</anchor>
      <arglist>(const TQString &amp;box, const TQString &amp;sequence, bool nouid=false)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static imapCommand *</type>
      <name>clientAppend</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>af8009770b49cff2a76a6a9e42e262eea</anchor>
      <arglist>(const TQString &amp;box, const TQString &amp;flags, ulong size)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static imapCommand *</type>
      <name>clientCreate</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>a0ded1121a5ba448e61e62ce0f2fba6cf</anchor>
      <arglist>(const TQString &amp;path)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static imapCommand *</type>
      <name>clientDelete</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>a6bf93874a0b0e4fa332ecd8c45541cf7</anchor>
      <arglist>(const TQString &amp;path)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static imapCommand *</type>
      <name>clientSubscribe</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>a01a304dd2f97300a649cbaa50baa25a6</anchor>
      <arglist>(const TQString &amp;path)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static imapCommand *</type>
      <name>clientUnsubscribe</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>a7d644cb23d3c9c7e8333be5ef6b81052</anchor>
      <arglist>(const TQString &amp;path)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static imapCommand *</type>
      <name>clientExpunge</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>ab0e25aaa3e5e47fc8de32530a3bb1d76</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static imapCommand *</type>
      <name>clientRename</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>a1b922e6ad55a380e5900adc2a03c36e3</anchor>
      <arglist>(const TQString &amp;src, const TQString &amp;dest)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static imapCommand *</type>
      <name>clientSearch</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>aa69941f662ade0f23fda14b901893ca0</anchor>
      <arglist>(const TQString &amp;search, bool nouid=false)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static imapCommand *</type>
      <name>clientStore</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>ae50f5f6c9cd936799439479fef83b087</anchor>
      <arglist>(const TQString &amp;set, const TQString &amp;item, const TQString &amp;data, bool nouid=false)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static imapCommand *</type>
      <name>clientLogout</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>acb38f845bc3614cff83529189094ad8a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static imapCommand *</type>
      <name>clientStartTLS</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>ab4fd5ee8688bd847e52ac7f7bb103391</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static imapCommand *</type>
      <name>clientSetACL</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>a61fc38eafad876c74dd2023f976b1e4e</anchor>
      <arglist>(const TQString &amp;box, const TQString &amp;user, const TQString &amp;acl)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static imapCommand *</type>
      <name>clientDeleteACL</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>a7be6efe9125a72cf62414a5411a3ea94</anchor>
      <arglist>(const TQString &amp;box, const TQString &amp;user)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static imapCommand *</type>
      <name>clientGetACL</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>a6bb47dffb7f5ec7d049f6a040d2a564d</anchor>
      <arglist>(const TQString &amp;box)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static imapCommand *</type>
      <name>clientListRights</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>a7410eb07636bec024e565971c8ef37b5</anchor>
      <arglist>(const TQString &amp;box, const TQString &amp;user)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static imapCommand *</type>
      <name>clientMyRights</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>a355752e30a42e4af685df301a8364a7f</anchor>
      <arglist>(const TQString &amp;box)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static imapCommand *</type>
      <name>clientSetAnnotation</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>a4cd407dc0c3c06d25a9423dab30643e4</anchor>
      <arglist>(const TQString &amp;box, const TQString &amp;entry, const TQMap&lt; TQString, TQString &gt; &amp;attributes)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static imapCommand *</type>
      <name>clientGetAnnotation</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>adfd6cc81b46906276e2b204fe2a64cab</anchor>
      <arglist>(const TQString &amp;box, const TQString &amp;entry, const TQStringList &amp;attributeNames)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static imapCommand *</type>
      <name>clientNamespace</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>a82954d869b6bf83c10b68b76fd4d55d9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static imapCommand *</type>
      <name>clientGetQuotaroot</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>a2521941477b0f91e6e0846f3706383af</anchor>
      <arglist>(const TQString &amp;box)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static imapCommand *</type>
      <name>clientCustom</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>adc3e5245673ca4cb9edcdb8d0ca68a18</anchor>
      <arglist>(const TQString &amp;command, const TQString &amp;arguments)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>TQString</type>
      <name>aCommand</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>a4b06f17f57f4a81cb95d98561ca989e2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>TQString</type>
      <name>mId</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>a893ce5d9895319cebd7a5d58d0575e8a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mComplete</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>aa614e20aea036113b9256994faafa1d5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>TQString</type>
      <name>aParameter</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>ab682c00ca92be340999f04d875c0a1b2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>TQString</type>
      <name>mResult</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>ab87aff2401fd823af9358af3c74ede61</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>TQString</type>
      <name>mResultInfo</name>
      <anchorfile>classimapCommand.html</anchorfile>
      <anchor>a437c7ea24a7a1919ef9480db2e358264</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>mailHeader</name>
    <filename>classmailHeader.html</filename>
    <base>mimeHeader</base>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>addHdrLine</name>
      <anchorfile>classmailHeader.html</anchorfile>
      <anchor>a1f2bd36abc2106555664c27d8700d0a6</anchor>
      <arglist>(mimeHdrLine *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>outputHeader</name>
      <anchorfile>classmailHeader.html</anchorfile>
      <anchor>ab418bcdbe722096263ece7afbdf0d632</anchor>
      <arglist>(mimeIO &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addTo</name>
      <anchorfile>classmailHeader.html</anchorfile>
      <anchor>adf8b27850117378887d1c4d0869837d5</anchor>
      <arglist>(const mailAddress &amp;_adr)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addCC</name>
      <anchorfile>classmailHeader.html</anchorfile>
      <anchor>ab17b738b2c3146218f54bb1590809f7a</anchor>
      <arglist>(const mailAddress &amp;_adr)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addBCC</name>
      <anchorfile>classmailHeader.html</anchorfile>
      <anchor>a8f12f1664ec9d8bd0a88992d67443f2f</anchor>
      <arglist>(const mailAddress &amp;_adr)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFrom</name>
      <anchorfile>classmailHeader.html</anchorfile>
      <anchor>acafb566f78ff17ae781274d06be36467</anchor>
      <arglist>(const mailAddress &amp;_adr)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSender</name>
      <anchorfile>classmailHeader.html</anchorfile>
      <anchor>a4da7eeb971bd10409096580c5d7467a6</anchor>
      <arglist>(const mailAddress &amp;_adr)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setReturnPath</name>
      <anchorfile>classmailHeader.html</anchorfile>
      <anchor>a424f308fdb440632cb1e01d676e1bd51</anchor>
      <arglist>(const mailAddress &amp;_adr)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setReplyTo</name>
      <anchorfile>classmailHeader.html</anchorfile>
      <anchor>ac9afd708cfe944945d20b6d55436170d</anchor>
      <arglist>(const mailAddress &amp;_adr)</arglist>
    </member>
    <member kind="function">
      <type>const TQCString &amp;</type>
      <name>getMessageId</name>
      <anchorfile>classmailHeader.html</anchorfile>
      <anchor>ab20051502c0fd012dd50cb43ddf45b93</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMessageId</name>
      <anchorfile>classmailHeader.html</anchorfile>
      <anchor>aa5dfeeeb9be67dc793fb62b79fb844fd</anchor>
      <arglist>(const TQCString &amp;_str)</arglist>
    </member>
    <member kind="function">
      <type>const TQCString &amp;</type>
      <name>getInReplyTo</name>
      <anchorfile>classmailHeader.html</anchorfile>
      <anchor>a7a059b8ea81408ed715754a0c264e94e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setInReplyTo</name>
      <anchorfile>classmailHeader.html</anchorfile>
      <anchor>a4b8565e7cbe18d09591e838de0523ff1</anchor>
      <arglist>(const TQCString &amp;_str)</arglist>
    </member>
    <member kind="function">
      <type>const TQCString &amp;</type>
      <name>getReferences</name>
      <anchorfile>classmailHeader.html</anchorfile>
      <anchor>a158f7e0ccd67c6565b0f649779b97470</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setReferences</name>
      <anchorfile>classmailHeader.html</anchorfile>
      <anchor>a98b5bde43268162f518e1e082da25463</anchor>
      <arglist>(const TQCString &amp;_str)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSubject</name>
      <anchorfile>classmailHeader.html</anchorfile>
      <anchor>a8581af3a7bdde0727a683e361b01b791</anchor>
      <arglist>(const TQString &amp;_str)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSubjectEncoded</name>
      <anchorfile>classmailHeader.html</anchorfile>
      <anchor>a9eb023f83766d28c9339a1829d2b1170</anchor>
      <arglist>(const TQCString &amp;_str)</arglist>
    </member>
    <member kind="function">
      <type>const TQString</type>
      <name>getSubject</name>
      <anchorfile>classmailHeader.html</anchorfile>
      <anchor>a5e80d2e167f31f1d2581aad1e24a5cf9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const TQCString &amp;</type>
      <name>getSubjectEncoded</name>
      <anchorfile>classmailHeader.html</anchorfile>
      <anchor>a2fad008e614c58664ac28078b0627bdd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDate</name>
      <anchorfile>classmailHeader.html</anchorfile>
      <anchor>a1ad8023550d4c0a9be9c9d151a4982de</anchor>
      <arglist>(const TQCString &amp;_str)</arglist>
    </member>
    <member kind="function">
      <type>const TQCString &amp;</type>
      <name>date</name>
      <anchorfile>classmailHeader.html</anchorfile>
      <anchor>a1f11f63f37fac49c4a28d2b10b175fc4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>TQPtrList&lt; mailAddress &gt; &amp;</type>
      <name>to</name>
      <anchorfile>classmailHeader.html</anchorfile>
      <anchor>adcc23a8e7435b2b70c270e33c6d953b1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>TQPtrList&lt; mailAddress &gt; &amp;</type>
      <name>cc</name>
      <anchorfile>classmailHeader.html</anchorfile>
      <anchor>a1ef964706a6e64712870c8c60b5a18ee</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>TQPtrList&lt; mailAddress &gt; &amp;</type>
      <name>bcc</name>
      <anchorfile>classmailHeader.html</anchorfile>
      <anchor>a1dfb496a16e627bf2cd77896e5562110</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>outputPart</name>
      <anchorfile>classmimeHeader.html</anchorfile>
      <anchor>a2f58fb69d7586cb5950d60b66351b21f</anchor>
      <arglist>(mimeIO &amp;)</arglist>
    </member>
    <member kind="function">
      <type>TQCString</type>
      <name>outputParameter</name>
      <anchorfile>classmimeHeader.html</anchorfile>
      <anchor>ac465dbcb64406815e3dad0f360676484</anchor>
      <arglist>(TQDict&lt; TQString &gt; *)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>parsePart</name>
      <anchorfile>classmimeHeader.html</anchorfile>
      <anchor>a068ab1d04d04667e73b41f9d0670b49b</anchor>
      <arglist>(mimeIO &amp;, const TQString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>parseBody</name>
      <anchorfile>classmimeHeader.html</anchorfile>
      <anchor>afdbc0ae84f97570ea053af8d17c032a8</anchor>
      <arglist>(mimeIO &amp;, TQCString &amp;, const TQString &amp;, bool mbox=false)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>parseHeader</name>
      <anchorfile>classmimeHeader.html</anchorfile>
      <anchor>a69de40e0850ac2993c983f4b168b915f</anchor>
      <arglist>(mimeIO &amp;)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>getDispositionParm</name>
      <anchorfile>classmimeHeader.html</anchorfile>
      <anchor>aa0502feba4b3f3f805a0f96773309466</anchor>
      <arglist>(const TQCString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDispositionParm</name>
      <anchorfile>classmimeHeader.html</anchorfile>
      <anchor>ab0bcfe1c8085b5637a8428527550fd49</anchor>
      <arglist>(const TQCString &amp;, const TQString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>TQDictIterator&lt; TQString &gt;</type>
      <name>getDispositionIterator</name>
      <anchorfile>classmimeHeader.html</anchorfile>
      <anchor>af06bc22284a1fce37a6c360e38124ea7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>getTypeParm</name>
      <anchorfile>classmimeHeader.html</anchorfile>
      <anchor>a6b8d95cae5c9ecd8a39e35f6c2b57155</anchor>
      <arglist>(const TQCString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTypeParm</name>
      <anchorfile>classmimeHeader.html</anchorfile>
      <anchor>a57149d29ee32e945052401b99f6a9ecc</anchor>
      <arglist>(const TQCString &amp;, const TQString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>TQDictIterator&lt; TQString &gt;</type>
      <name>getTypeIterator</name>
      <anchorfile>classmimeHeader.html</anchorfile>
      <anchor>a2cab51244430bdba7208d4107cf2c322</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>serialize</name>
      <anchorfile>classmimeHeader.html</anchorfile>
      <anchor>aa29749f2866534f60fba43dff840b1e5</anchor>
      <arglist>(TQDataStream &amp;stream)</arglist>
    </member>
    <member kind="function">
      <type>const TQCString &amp;</type>
      <name>getType</name>
      <anchorfile>classmimeHeader.html</anchorfile>
      <anchor>a0c28633fd21340240420897b477f93fe</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setType</name>
      <anchorfile>classmimeHeader.html</anchorfile>
      <anchor>a94ce0446c43ea7d7f3e66c7c5cbe097a</anchor>
      <arglist>(const TQCString &amp;_str)</arglist>
    </member>
    <member kind="function">
      <type>const TQCString &amp;</type>
      <name>getDescription</name>
      <anchorfile>classmimeHeader.html</anchorfile>
      <anchor>a8a672ce2bcb7014ee4995ab8e6884f93</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDescription</name>
      <anchorfile>classmimeHeader.html</anchorfile>
      <anchor>aa05f8112eafad765f66360fcea265822</anchor>
      <arglist>(const TQCString &amp;_str)</arglist>
    </member>
    <member kind="function">
      <type>TQCString</type>
      <name>getDisposition</name>
      <anchorfile>classmimeHeader.html</anchorfile>
      <anchor>a60e83e9e6d48124488f9936d7ef56b8b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDisposition</name>
      <anchorfile>classmimeHeader.html</anchorfile>
      <anchor>a8c62a142be22169a87abc052b50d50d7</anchor>
      <arglist>(const TQCString &amp;_str)</arglist>
    </member>
    <member kind="function">
      <type>TQCString</type>
      <name>getEncoding</name>
      <anchorfile>classmimeHeader.html</anchorfile>
      <anchor>ae2600028c11f50e3b6e7963be07f62d2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setEncoding</name>
      <anchorfile>classmimeHeader.html</anchorfile>
      <anchor>a924e16c4c92032296a72976c46feaa4b</anchor>
      <arglist>(const TQCString &amp;_str)</arglist>
    </member>
    <member kind="function">
      <type>TQCString</type>
      <name>getMD5</name>
      <anchorfile>classmimeHeader.html</anchorfile>
      <anchor>a7ae6b6f0c268324cf0bd0a92864e2d14</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMD5</name>
      <anchorfile>classmimeHeader.html</anchorfile>
      <anchor>a7f910ac63fcbf7543eb776e984271256</anchor>
      <arglist>(const TQCString &amp;_str)</arglist>
    </member>
    <member kind="function">
      <type>TQCString</type>
      <name>getID</name>
      <anchorfile>classmimeHeader.html</anchorfile>
      <anchor>a4ee0663d4f75d94b00828e8442ee6539</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setID</name>
      <anchorfile>classmimeHeader.html</anchorfile>
      <anchor>a0e99110567a9998d335f8109e71abb5c</anchor>
      <arglist>(const TQCString &amp;_str)</arglist>
    </member>
    <member kind="function">
      <type>unsigned long</type>
      <name>getLength</name>
      <anchorfile>classmimeHeader.html</anchorfile>
      <anchor>a3ec6ce09bbb52b5028609d79c3878ea6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setLength</name>
      <anchorfile>classmimeHeader.html</anchorfile>
      <anchor>a1a83a1b742c9151f8c05b46dcb998599</anchor>
      <arglist>(unsigned long _len)</arglist>
    </member>
    <member kind="function">
      <type>const TQString &amp;</type>
      <name>getPartSpecifier</name>
      <anchorfile>classmimeHeader.html</anchorfile>
      <anchor>a36ac31870af6e2bc7b74af4fd98a5693</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPartSpecifier</name>
      <anchorfile>classmimeHeader.html</anchorfile>
      <anchor>a2f752cae2681c828189c2873ecdc6bc8</anchor>
      <arglist>(const TQString &amp;_str)</arglist>
    </member>
    <member kind="function">
      <type>TQPtrListIterator&lt; mimeHdrLine &gt;</type>
      <name>getOriginalIterator</name>
      <anchorfile>classmimeHeader.html</anchorfile>
      <anchor>aafc3c5c0b09797a4ff015923f5d477b0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>TQPtrListIterator&lt; mimeHdrLine &gt;</type>
      <name>getAdditionalIterator</name>
      <anchorfile>classmimeHeader.html</anchorfile>
      <anchor>aa9911638b51c4b2cec9049402060c19d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setContent</name>
      <anchorfile>classmimeHeader.html</anchorfile>
      <anchor>ab40776a1409f03060860d30e286e38b8</anchor>
      <arglist>(const TQCString &amp;aContent)</arglist>
    </member>
    <member kind="function">
      <type>TQCString</type>
      <name>getContent</name>
      <anchorfile>classmimeHeader.html</anchorfile>
      <anchor>a8ea6531b2526b57bb4d417c4f9f77207</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>TQCString</type>
      <name>getBody</name>
      <anchorfile>classmimeHeader.html</anchorfile>
      <anchor>aabd2bd32db0d44227f4ce34a5e273967</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>TQCString</type>
      <name>getPreBody</name>
      <anchorfile>classmimeHeader.html</anchorfile>
      <anchor>a7ef63ea5021c4ab55e2440f3e0d4d120</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPreBody</name>
      <anchorfile>classmimeHeader.html</anchorfile>
      <anchor>a286600927f6af058a2ebc343db43298d</anchor>
      <arglist>(TQCString &amp;inBody)</arglist>
    </member>
    <member kind="function">
      <type>TQCString</type>
      <name>getPostBody</name>
      <anchorfile>classmimeHeader.html</anchorfile>
      <anchor>a6172395231522bd6080e0ef51e882da5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPostBody</name>
      <anchorfile>classmimeHeader.html</anchorfile>
      <anchor>a5d2b804cc0d3b5fa5a925b42d3ece8af</anchor>
      <arglist>(TQCString &amp;inBody)</arglist>
    </member>
    <member kind="function">
      <type>mimeHeader *</type>
      <name>getNestedMessage</name>
      <anchorfile>classmimeHeader.html</anchorfile>
      <anchor>a4bdfe0330d6638e0d31f845221b3914b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setNestedMessage</name>
      <anchorfile>classmimeHeader.html</anchorfile>
      <anchor>a5d0821a38f4c60ba80f08fb4a1ee371d</anchor>
      <arglist>(mimeHeader *inPart, bool destroy=true)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addNestedPart</name>
      <anchorfile>classmimeHeader.html</anchorfile>
      <anchor>a12d4a4c8a0bec6d337f284c874e56da2</anchor>
      <arglist>(mimeHeader *inPart)</arglist>
    </member>
    <member kind="function">
      <type>TQPtrListIterator&lt; mimeHeader &gt;</type>
      <name>getNestedIterator</name>
      <anchorfile>classmimeHeader.html</anchorfile>
      <anchor>ad496e3e1906c916f8004455ade53bd6e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clearNestedParts</name>
      <anchorfile>classmimeHeader.html</anchorfile>
      <anchor>ad12c1b19927d104956eacb8a540dd312</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clearTypeParameters</name>
      <anchorfile>classmimeHeader.html</anchorfile>
      <anchor>aee1152767ebe5fb63dfffd38a1b2cfd3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clearDispositionParameters</name>
      <anchorfile>classmimeHeader.html</anchorfile>
      <anchor>af5931e368d69131ce6dd1117690a8884</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>mimeHeader *</type>
      <name>bodyPart</name>
      <anchorfile>classmimeHeader.html</anchorfile>
      <anchor>a71891027a471118efb8c4ccbca17b002</anchor>
      <arglist>(const TQString &amp;)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static int</type>
      <name>parseAddressList</name>
      <anchorfile>classmailHeader.html</anchorfile>
      <anchor>a34cdaf98629066979567ee176c9ff39d</anchor>
      <arglist>(const char *, TQPtrList&lt; mailAddress &gt; *)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TQCString</type>
      <name>getAddressStr</name>
      <anchorfile>classmailHeader.html</anchorfile>
      <anchor>aba11d36b557d91fa5810163fe9a8e5d6</anchor>
      <arglist>(TQPtrList&lt; mailAddress &gt; *)</arglist>
    </member>
    <member kind="function" protection="protected" static="yes">
      <type>static void</type>
      <name>addParameter</name>
      <anchorfile>classmimeHeader.html</anchorfile>
      <anchor>a6bbde02a0fb02807eeadc511ec457198</anchor>
      <arglist>(const TQCString &amp;, TQDict&lt; TQString &gt; *)</arglist>
    </member>
    <member kind="function" protection="protected" static="yes">
      <type>static TQString</type>
      <name>getParameter</name>
      <anchorfile>classmimeHeader.html</anchorfile>
      <anchor>af391c755e44aa2d356c6dba9584b9472</anchor>
      <arglist>(const TQCString &amp;, TQDict&lt; TQString &gt; *)</arglist>
    </member>
    <member kind="function" protection="protected" static="yes">
      <type>static void</type>
      <name>setParameter</name>
      <anchorfile>classmimeHeader.html</anchorfile>
      <anchor>acddf46e2c447e87c4a8c78a5a78b8702</anchor>
      <arglist>(const TQCString &amp;, const TQString &amp;, TQDict&lt; TQString &gt; *)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>TQPtrList&lt; mimeHdrLine &gt;</type>
      <name>originalHdrLines</name>
      <anchorfile>classmimeHeader.html</anchorfile>
      <anchor>a84bd163564e894628b03c260a1b6b0e9</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>mimeHdrLine</name>
    <filename>classmimeHdrLine.html</filename>
    <member kind="function">
      <type></type>
      <name>mimeHdrLine</name>
      <anchorfile>classmimeHdrLine.html</anchorfile>
      <anchor>a82c3f8a1221d3eff2620aeeb60917260</anchor>
      <arglist>(mimeHdrLine *)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>mimeHdrLine</name>
      <anchorfile>classmimeHdrLine.html</anchorfile>
      <anchor>aaa9e2dabda525ce63cb33eaa5d1395c3</anchor>
      <arglist>(const TQCString &amp;, const TQCString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>setStr</name>
      <anchorfile>classmimeHdrLine.html</anchorfile>
      <anchor>aa6cb8b853c33b2643f03e1ed5ca9991d</anchor>
      <arglist>(const char *)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>appendStr</name>
      <anchorfile>classmimeHdrLine.html</anchorfile>
      <anchor>a3189bc28b99127f86a3dc5812b7133ef</anchor>
      <arglist>(const char *)</arglist>
    </member>
    <member kind="function">
      <type>const TQCString &amp;</type>
      <name>getValue</name>
      <anchorfile>classmimeHdrLine.html</anchorfile>
      <anchor>af372f85f663dd8442310334649dd8202</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const TQCString &amp;</type>
      <name>getLabel</name>
      <anchorfile>classmimeHdrLine.html</anchorfile>
      <anchor>a93ddf92cac225e1ee6bea3a59c6f04d3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TQCString</type>
      <name>truncateLine</name>
      <anchorfile>classmimeHdrLine.html</anchorfile>
      <anchor>a6473c9c5c16af7cc9d87c06ae35d892d</anchor>
      <arglist>(TQCString, unsigned int truncate=80)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static int</type>
      <name>parseSeparator</name>
      <anchorfile>classmimeHdrLine.html</anchorfile>
      <anchor>a4e070b3bd41a063ba76f3d8b05129e80</anchor>
      <arglist>(char, const char *)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static int</type>
      <name>parseQuoted</name>
      <anchorfile>classmimeHdrLine.html</anchorfile>
      <anchor>ae8bd389532c2742561e5be3faeb9536e</anchor>
      <arglist>(char, char, const char *)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static int</type>
      <name>skipWS</name>
      <anchorfile>classmimeHdrLine.html</anchorfile>
      <anchor>a7a962b9da069178f2791afde03ec0038</anchor>
      <arglist>(const char *)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static int</type>
      <name>parseHalfWord</name>
      <anchorfile>classmimeHdrLine.html</anchorfile>
      <anchor>a2378a7da73b8970bdedbd65f5ab3f087</anchor>
      <arglist>(const char *)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static int</type>
      <name>parseWord</name>
      <anchorfile>classmimeHdrLine.html</anchorfile>
      <anchor>a311baed3a122e1a9950075fdead279e4</anchor>
      <arglist>(const char *)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static int</type>
      <name>parseAlphaNum</name>
      <anchorfile>classmimeHdrLine.html</anchorfile>
      <anchor>ad3bbe44919b226fa43b9c72804ddd40b</anchor>
      <arglist>(const char *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>parseFullLine</name>
      <anchorfile>classmimeHdrLine.html</anchorfile>
      <anchor>adde72a637fbc4ece53d9d045a8f0385e</anchor>
      <arglist>(const char *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>parseHalfLine</name>
      <anchorfile>classmimeHdrLine.html</anchorfile>
      <anchor>aa9d5767be33eff67867ddee8f6e1157b</anchor>
      <arglist>(const char *)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>TQCString</type>
      <name>mimeValue</name>
      <anchorfile>classmimeHdrLine.html</anchorfile>
      <anchor>a3c16aa1ed36bee4aef6ba31b8c6dd239</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>TQCString</type>
      <name>mimeLabel</name>
      <anchorfile>classmimeHdrLine.html</anchorfile>
      <anchor>a4e97394677ab8fcd323b74784e116933</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>mimeHeader</name>
    <filename>classmimeHeader.html</filename>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>addHdrLine</name>
      <anchorfile>classmimeHeader.html</anchorfile>
      <anchor>a808306fd8b47dbfc497bb0a4b3929fc9</anchor>
      <arglist>(mimeHdrLine *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>outputHeader</name>
      <anchorfile>classmimeHeader.html</anchorfile>
      <anchor>a2676a8b3d5b0136adacbd7927a08f852</anchor>
      <arglist>(mimeIO &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>outputPart</name>
      <anchorfile>classmimeHeader.html</anchorfile>
      <anchor>a2f58fb69d7586cb5950d60b66351b21f</anchor>
      <arglist>(mimeIO &amp;)</arglist>
    </member>
    <member kind="function">
      <type>TQCString</type>
      <name>outputParameter</name>
      <anchorfile>classmimeHeader.html</anchorfile>
      <anchor>ac465dbcb64406815e3dad0f360676484</anchor>
      <arglist>(TQDict&lt; TQString &gt; *)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>parsePart</name>
      <anchorfile>classmimeHeader.html</anchorfile>
      <anchor>a068ab1d04d04667e73b41f9d0670b49b</anchor>
      <arglist>(mimeIO &amp;, const TQString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>parseBody</name>
      <anchorfile>classmimeHeader.html</anchorfile>
      <anchor>afdbc0ae84f97570ea053af8d17c032a8</anchor>
      <arglist>(mimeIO &amp;, TQCString &amp;, const TQString &amp;, bool mbox=false)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>parseHeader</name>
      <anchorfile>classmimeHeader.html</anchorfile>
      <anchor>a69de40e0850ac2993c983f4b168b915f</anchor>
      <arglist>(mimeIO &amp;)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>getDispositionParm</name>
      <anchorfile>classmimeHeader.html</anchorfile>
      <anchor>aa0502feba4b3f3f805a0f96773309466</anchor>
      <arglist>(const TQCString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDispositionParm</name>
      <anchorfile>classmimeHeader.html</anchorfile>
      <anchor>ab0bcfe1c8085b5637a8428527550fd49</anchor>
      <arglist>(const TQCString &amp;, const TQString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>TQDictIterator&lt; TQString &gt;</type>
      <name>getDispositionIterator</name>
      <anchorfile>classmimeHeader.html</anchorfile>
      <anchor>af06bc22284a1fce37a6c360e38124ea7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>getTypeParm</name>
      <anchorfile>classmimeHeader.html</anchorfile>
      <anchor>a6b8d95cae5c9ecd8a39e35f6c2b57155</anchor>
      <arglist>(const TQCString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTypeParm</name>
      <anchorfile>classmimeHeader.html</anchorfile>
      <anchor>a57149d29ee32e945052401b99f6a9ecc</anchor>
      <arglist>(const TQCString &amp;, const TQString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>TQDictIterator&lt; TQString &gt;</type>
      <name>getTypeIterator</name>
      <anchorfile>classmimeHeader.html</anchorfile>
      <anchor>a2cab51244430bdba7208d4107cf2c322</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>serialize</name>
      <anchorfile>classmimeHeader.html</anchorfile>
      <anchor>aa29749f2866534f60fba43dff840b1e5</anchor>
      <arglist>(TQDataStream &amp;stream)</arglist>
    </member>
    <member kind="function">
      <type>const TQCString &amp;</type>
      <name>getType</name>
      <anchorfile>classmimeHeader.html</anchorfile>
      <anchor>a0c28633fd21340240420897b477f93fe</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setType</name>
      <anchorfile>classmimeHeader.html</anchorfile>
      <anchor>a94ce0446c43ea7d7f3e66c7c5cbe097a</anchor>
      <arglist>(const TQCString &amp;_str)</arglist>
    </member>
    <member kind="function">
      <type>const TQCString &amp;</type>
      <name>getDescription</name>
      <anchorfile>classmimeHeader.html</anchorfile>
      <anchor>a8a672ce2bcb7014ee4995ab8e6884f93</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDescription</name>
      <anchorfile>classmimeHeader.html</anchorfile>
      <anchor>aa05f8112eafad765f66360fcea265822</anchor>
      <arglist>(const TQCString &amp;_str)</arglist>
    </member>
    <member kind="function">
      <type>TQCString</type>
      <name>getDisposition</name>
      <anchorfile>classmimeHeader.html</anchorfile>
      <anchor>a60e83e9e6d48124488f9936d7ef56b8b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDisposition</name>
      <anchorfile>classmimeHeader.html</anchorfile>
      <anchor>a8c62a142be22169a87abc052b50d50d7</anchor>
      <arglist>(const TQCString &amp;_str)</arglist>
    </member>
    <member kind="function">
      <type>TQCString</type>
      <name>getEncoding</name>
      <anchorfile>classmimeHeader.html</anchorfile>
      <anchor>ae2600028c11f50e3b6e7963be07f62d2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setEncoding</name>
      <anchorfile>classmimeHeader.html</anchorfile>
      <anchor>a924e16c4c92032296a72976c46feaa4b</anchor>
      <arglist>(const TQCString &amp;_str)</arglist>
    </member>
    <member kind="function">
      <type>TQCString</type>
      <name>getMD5</name>
      <anchorfile>classmimeHeader.html</anchorfile>
      <anchor>a7ae6b6f0c268324cf0bd0a92864e2d14</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMD5</name>
      <anchorfile>classmimeHeader.html</anchorfile>
      <anchor>a7f910ac63fcbf7543eb776e984271256</anchor>
      <arglist>(const TQCString &amp;_str)</arglist>
    </member>
    <member kind="function">
      <type>TQCString</type>
      <name>getID</name>
      <anchorfile>classmimeHeader.html</anchorfile>
      <anchor>a4ee0663d4f75d94b00828e8442ee6539</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setID</name>
      <anchorfile>classmimeHeader.html</anchorfile>
      <anchor>a0e99110567a9998d335f8109e71abb5c</anchor>
      <arglist>(const TQCString &amp;_str)</arglist>
    </member>
    <member kind="function">
      <type>unsigned long</type>
      <name>getLength</name>
      <anchorfile>classmimeHeader.html</anchorfile>
      <anchor>a3ec6ce09bbb52b5028609d79c3878ea6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setLength</name>
      <anchorfile>classmimeHeader.html</anchorfile>
      <anchor>a1a83a1b742c9151f8c05b46dcb998599</anchor>
      <arglist>(unsigned long _len)</arglist>
    </member>
    <member kind="function">
      <type>const TQString &amp;</type>
      <name>getPartSpecifier</name>
      <anchorfile>classmimeHeader.html</anchorfile>
      <anchor>a36ac31870af6e2bc7b74af4fd98a5693</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPartSpecifier</name>
      <anchorfile>classmimeHeader.html</anchorfile>
      <anchor>a2f752cae2681c828189c2873ecdc6bc8</anchor>
      <arglist>(const TQString &amp;_str)</arglist>
    </member>
    <member kind="function">
      <type>TQPtrListIterator&lt; mimeHdrLine &gt;</type>
      <name>getOriginalIterator</name>
      <anchorfile>classmimeHeader.html</anchorfile>
      <anchor>aafc3c5c0b09797a4ff015923f5d477b0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>TQPtrListIterator&lt; mimeHdrLine &gt;</type>
      <name>getAdditionalIterator</name>
      <anchorfile>classmimeHeader.html</anchorfile>
      <anchor>aa9911638b51c4b2cec9049402060c19d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setContent</name>
      <anchorfile>classmimeHeader.html</anchorfile>
      <anchor>ab40776a1409f03060860d30e286e38b8</anchor>
      <arglist>(const TQCString &amp;aContent)</arglist>
    </member>
    <member kind="function">
      <type>TQCString</type>
      <name>getContent</name>
      <anchorfile>classmimeHeader.html</anchorfile>
      <anchor>a8ea6531b2526b57bb4d417c4f9f77207</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>TQCString</type>
      <name>getBody</name>
      <anchorfile>classmimeHeader.html</anchorfile>
      <anchor>aabd2bd32db0d44227f4ce34a5e273967</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>TQCString</type>
      <name>getPreBody</name>
      <anchorfile>classmimeHeader.html</anchorfile>
      <anchor>a7ef63ea5021c4ab55e2440f3e0d4d120</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPreBody</name>
      <anchorfile>classmimeHeader.html</anchorfile>
      <anchor>a286600927f6af058a2ebc343db43298d</anchor>
      <arglist>(TQCString &amp;inBody)</arglist>
    </member>
    <member kind="function">
      <type>TQCString</type>
      <name>getPostBody</name>
      <anchorfile>classmimeHeader.html</anchorfile>
      <anchor>a6172395231522bd6080e0ef51e882da5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPostBody</name>
      <anchorfile>classmimeHeader.html</anchorfile>
      <anchor>a5d2b804cc0d3b5fa5a925b42d3ece8af</anchor>
      <arglist>(TQCString &amp;inBody)</arglist>
    </member>
    <member kind="function">
      <type>mimeHeader *</type>
      <name>getNestedMessage</name>
      <anchorfile>classmimeHeader.html</anchorfile>
      <anchor>a4bdfe0330d6638e0d31f845221b3914b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setNestedMessage</name>
      <anchorfile>classmimeHeader.html</anchorfile>
      <anchor>a5d0821a38f4c60ba80f08fb4a1ee371d</anchor>
      <arglist>(mimeHeader *inPart, bool destroy=true)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addNestedPart</name>
      <anchorfile>classmimeHeader.html</anchorfile>
      <anchor>a12d4a4c8a0bec6d337f284c874e56da2</anchor>
      <arglist>(mimeHeader *inPart)</arglist>
    </member>
    <member kind="function">
      <type>TQPtrListIterator&lt; mimeHeader &gt;</type>
      <name>getNestedIterator</name>
      <anchorfile>classmimeHeader.html</anchorfile>
      <anchor>ad496e3e1906c916f8004455ade53bd6e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clearNestedParts</name>
      <anchorfile>classmimeHeader.html</anchorfile>
      <anchor>ad12c1b19927d104956eacb8a540dd312</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clearTypeParameters</name>
      <anchorfile>classmimeHeader.html</anchorfile>
      <anchor>aee1152767ebe5fb63dfffd38a1b2cfd3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clearDispositionParameters</name>
      <anchorfile>classmimeHeader.html</anchorfile>
      <anchor>af5931e368d69131ce6dd1117690a8884</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>mimeHeader *</type>
      <name>bodyPart</name>
      <anchorfile>classmimeHeader.html</anchorfile>
      <anchor>a71891027a471118efb8c4ccbca17b002</anchor>
      <arglist>(const TQString &amp;)</arglist>
    </member>
    <member kind="function" protection="protected" static="yes">
      <type>static void</type>
      <name>addParameter</name>
      <anchorfile>classmimeHeader.html</anchorfile>
      <anchor>a6bbde02a0fb02807eeadc511ec457198</anchor>
      <arglist>(const TQCString &amp;, TQDict&lt; TQString &gt; *)</arglist>
    </member>
    <member kind="function" protection="protected" static="yes">
      <type>static TQString</type>
      <name>getParameter</name>
      <anchorfile>classmimeHeader.html</anchorfile>
      <anchor>af391c755e44aa2d356c6dba9584b9472</anchor>
      <arglist>(const TQCString &amp;, TQDict&lt; TQString &gt; *)</arglist>
    </member>
    <member kind="function" protection="protected" static="yes">
      <type>static void</type>
      <name>setParameter</name>
      <anchorfile>classmimeHeader.html</anchorfile>
      <anchor>acddf46e2c447e87c4a8c78a5a78b8702</anchor>
      <arglist>(const TQCString &amp;, const TQString &amp;, TQDict&lt; TQString &gt; *)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>TQPtrList&lt; mimeHdrLine &gt;</type>
      <name>originalHdrLines</name>
      <anchorfile>classmimeHeader.html</anchorfile>
      <anchor>a84bd163564e894628b03c260a1b6b0e9</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>mimeIO</name>
    <filename>classmimeIO.html</filename>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>outputLine</name>
      <anchorfile>classmimeIO.html</anchorfile>
      <anchor>a763c65258bbc36c2739c643bfe09d1fa</anchor>
      <arglist>(const TQCString &amp;, int len=-1)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>outputMimeLine</name>
      <anchorfile>classmimeIO.html</anchorfile>
      <anchor>ae5c55aace1692c47f73fb818e4220f6e</anchor>
      <arglist>(const TQCString &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>inputLine</name>
      <anchorfile>classmimeIO.html</anchorfile>
      <anchor>a8a6d4fb1b5fb1784ca286b54e0ee34f3</anchor>
      <arglist>(TQCString &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>outputChar</name>
      <anchorfile>classmimeIO.html</anchorfile>
      <anchor>a2429b28a49ea727d8d9696b0da24bcd0</anchor>
      <arglist>(char)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>inputChar</name>
      <anchorfile>classmimeIO.html</anchorfile>
      <anchor>affee5fd1a0eb82be5f04b21c6844d178</anchor>
      <arglist>(char &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCRLF</name>
      <anchorfile>classmimeIO.html</anchorfile>
      <anchor>ac16a8caf9e835975a3fbea8b477686be</anchor>
      <arglist>(const char *)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>TQCString</type>
      <name>theCRLF</name>
      <anchorfile>classmimeIO.html</anchorfile>
      <anchor>a8324a19ab8e8fba2d26e36a91d10c764</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>crlfLen</name>
      <anchorfile>classmimeIO.html</anchorfile>
      <anchor>a3c7470342cfc5a90407ffad6b7bd198e</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>parseString</name>
    <filename>classparseString.html</filename>
    <member kind="function">
      <type>char</type>
      <name>operator[]</name>
      <anchorfile>classparseString.html</anchorfile>
      <anchor>a1ab9987c29c11af423f86ea318a8706f</anchor>
      <arglist>(uint i) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isEmpty</name>
      <anchorfile>classparseString.html</anchorfile>
      <anchor>a5d8c6278f223b6a44541a90a3d694049</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>TQCString</type>
      <name>cstr</name>
      <anchorfile>classparseString.html</anchorfile>
      <anchor>a640aceb62460801aee9d5a890b69510c</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>find</name>
      <anchorfile>classparseString.html</anchorfile>
      <anchor>a0574c0110ec3bce7b2bde1ad832eb178</anchor>
      <arglist>(char c, int index=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>takeLeft</name>
      <anchorfile>classparseString.html</anchorfile>
      <anchor>a9222da2713eb49e29a587d5ba1dd70ce</anchor>
      <arglist>(TQCString &amp;dest, uint len) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>takeLeftNoResize</name>
      <anchorfile>classparseString.html</anchorfile>
      <anchor>a43b8af10ccbaa2aa24fd26c51c26e84e</anchor>
      <arglist>(TQCString &amp;dest, uint len) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>takeMid</name>
      <anchorfile>classparseString.html</anchorfile>
      <anchor>aa7de9125c58671022c1bafc2cb03530e</anchor>
      <arglist>(TQCString &amp;dest, uint start, uint len) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>takeMidNoResize</name>
      <anchorfile>classparseString.html</anchorfile>
      <anchor>a93f93f39f56690386750514ab5c2f69e</anchor>
      <arglist>(TQCString &amp;dest, uint start, uint len) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clear</name>
      <anchorfile>classparseString.html</anchorfile>
      <anchor>a087771c9ae7a51f6e655d0e9cef33bb8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>uint</type>
      <name>length</name>
      <anchorfile>classparseString.html</anchorfile>
      <anchor>a4a40bebea665987623aa9afd62b9db90</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>fromString</name>
      <anchorfile>classparseString.html</anchorfile>
      <anchor>a2d4db6c18aefc8fd7c5ec0b82f70c6c4</anchor>
      <arglist>(const TQString &amp;s)</arglist>
    </member>
    <member kind="variable">
      <type>TQByteArray</type>
      <name>data</name>
      <anchorfile>classparseString.html</anchorfile>
      <anchor>aeef1b2e2a6ac5ae234c02fc294ec9b80</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>uint</type>
      <name>pos</name>
      <anchorfile>classparseString.html</anchorfile>
      <anchor>a0123ebb51f0f7522beb0e49eda4c5aff</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>rfcDecoder</name>
    <filename>classrfcDecoder.html</filename>
    <member kind="function" static="yes">
      <type>static TQString</type>
      <name>fromIMAP</name>
      <anchorfile>classrfcDecoder.html</anchorfile>
      <anchor>ad1e85f3c284bb958fd26671a4233ecc9</anchor>
      <arglist>(const TQString &amp;src)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TQString</type>
      <name>toIMAP</name>
      <anchorfile>classrfcDecoder.html</anchorfile>
      <anchor>a7df31639bb0842ce66e8f259c9ec13ef</anchor>
      <arglist>(const TQString &amp;inSrc)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TQString</type>
      <name>quoteIMAP</name>
      <anchorfile>classrfcDecoder.html</anchorfile>
      <anchor>ab3d08ea393950233b6445a399927b341</anchor>
      <arglist>(const TQString &amp;src)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TQString</type>
      <name>decodeQuoting</name>
      <anchorfile>classrfcDecoder.html</anchorfile>
      <anchor>a593ef00cc1e67c6154497b6ccd63cb2d</anchor>
      <arglist>(const TQString &amp;aStr)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TQTextCodec *</type>
      <name>codecForName</name>
      <anchorfile>classrfcDecoder.html</anchorfile>
      <anchor>aa2c2af83fe58eeb5148f231ec34090ea</anchor>
      <arglist>(const TQString &amp;)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const TQString</type>
      <name>decodeRFC2047String</name>
      <anchorfile>classrfcDecoder.html</anchorfile>
      <anchor>a141c13057ec5f7d2b7b157645cb01a50</anchor>
      <arglist>(const TQString &amp;_str, TQString &amp;charset, TQString &amp;language)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const TQString</type>
      <name>decodeRFC2047String</name>
      <anchorfile>classrfcDecoder.html</anchorfile>
      <anchor>adff0e33d000b68db917d8684baac2b89</anchor>
      <arglist>(const TQString &amp;_str, TQString &amp;charset)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const TQString</type>
      <name>decodeRFC2047String</name>
      <anchorfile>classrfcDecoder.html</anchorfile>
      <anchor>ae34196ffe704790f5c406f3e05f2f80b</anchor>
      <arglist>(const TQString &amp;_str)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const TQString</type>
      <name>encodeRFC2047String</name>
      <anchorfile>classrfcDecoder.html</anchorfile>
      <anchor>aee4d3fb2bf8d36d9bdaaf34bc5cd2b55</anchor>
      <arglist>(const TQString &amp;_str, TQString &amp;charset, TQString &amp;language)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const TQString</type>
      <name>encodeRFC2047String</name>
      <anchorfile>classrfcDecoder.html</anchorfile>
      <anchor>a9d81739ae06590962af3e8808067051f</anchor>
      <arglist>(const TQString &amp;_str, TQString &amp;charset)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const TQString</type>
      <name>encodeRFC2047String</name>
      <anchorfile>classrfcDecoder.html</anchorfile>
      <anchor>aab2cd75374d42e81e570790b211b286c</anchor>
      <arglist>(const TQString &amp;_str)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const TQString</type>
      <name>encodeRFC2231String</name>
      <anchorfile>classrfcDecoder.html</anchorfile>
      <anchor>a2d32390eb56c31f41e934fbe15825602</anchor>
      <arglist>(const TQString &amp;_str)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const TQString</type>
      <name>decodeRFC2231String</name>
      <anchorfile>classrfcDecoder.html</anchorfile>
      <anchor>ab7b06a4f3dd1edc31711fe79c5870b3a</anchor>
      <arglist>(const TQString &amp;_str)</arglist>
    </member>
  </compound>
  <compound kind="dir">
    <name>/build/tdepim-trinity-mOaJHf/tdepim-trinity-14.0.10/tdeioslave/imap4/</name>
    <path>/build/tdepim-trinity-mOaJHf/tdepim-trinity-14.0.10/tdeioslave/imap4/</path>
    <filename>dir_97937a77780fc6d7741ac96f474543aa.html</filename>
    <file>imap4.cpp</file>
    <file>imap4.h</file>
    <file>imapcommand.cpp</file>
    <file>imapcommand.h</file>
    <file>imapinfo.cpp</file>
    <file>imapinfo.h</file>
    <file>imaplist.cpp</file>
    <file>imaplist.h</file>
    <file>imapparser.cpp</file>
    <file>imapparser.h</file>
    <file>mailaddress.cpp</file>
    <file>mailaddress.h</file>
    <file>mailheader.cpp</file>
    <file>mailheader.h</file>
    <file>mimehdrline.cpp</file>
    <file>mimehdrline.h</file>
    <file>mimeheader.cpp</file>
    <file>mimeheader.h</file>
    <file>mimeio.cpp</file>
    <file>mimeio.h</file>
    <file>rfcdecoder.cpp</file>
    <file>rfcdecoder.h</file>
    <file>selectinfo.h</file>
  </compound>
  <compound kind="dir">
    <name>/build/tdepim-trinity-mOaJHf/tdepim-trinity-14.0.10/tdeioslave/</name>
    <path>/build/tdepim-trinity-mOaJHf/tdepim-trinity-14.0.10/tdeioslave/</path>
    <filename>dir_463f6b8cb81da78247331e213f0d2227.html</filename>
    <dir>/build/tdepim-trinity-mOaJHf/tdepim-trinity-14.0.10/tdeioslave/imap4/</dir>
  </compound>
</tagfile>
